Module jdk.httpserver
Package com.sun.net.httpserver

# Class Authenticator.Retry

java.lang.Object
com.sun.net.httpserver.Authenticator.Result
com.sun.net.httpserver.Authenticator.Retry

Enclosing class:
  Authenticator

    public static class Authenticator.Retry
    extends Authenticator.Result

Indicates an authentication must be retried. The response code to be sent back is as returned from getResponseCode(). The Authenticator must also have set any necessary response headers in the given HttpExchange before returning this Retry object.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Retry​(int responseCode)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getResponseCode()` | returns the response code to send to the client

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Retry

public Retry​(int responseCode)

## Method Details

### getResponseCode

public int getResponseCode()
returns the response code to send to the client